<ion-header>
</ion-header>

<ion-content>
  <div class="logoBar">
    <img src="assets/logo.svg">
    <div class="menuBar">
      <ul>
        <li>Home</li>
        <li>Learn</li>
        <li>Members</li>
        <!-- <li *ngIf='step1 || step2 || step3 || step4'><button color='light' (click)="applyForm()">Apply Form</button></li> -->
        <li *ngIf='step1 || step2 || step3 || step4'><button color='light' (click)="checkResult('hard')">Hard Verification</button></li>
        <li *ngIf='step1 || step2 || step3 || step4'><button color='light' (click)="checkResult('light')">Light Verification</button></li>
      </ul>
    </div>
  </div>
  <div class="entertainment">
    <div class="enterTextCover">  
      <img src="assets/background.svg" alt="">
    </div>
    
    <div class="formCover">
      <div class="form2" *ngIf="question"> 
        <div class="enterText">
          <h3>Welcome to your professional community</h3>
        </div>

        <div class="credentialsList">
            <div class="credentialContent">
              <div class="btnCreate" (click)='begin()'>
                <ion-button color="light">Create Account</ion-button>
              </div>
              <div class="btnVerify" (click)='checkResult("hard")'>
                <ion-button color='dark'>Hard Verification</ion-button>
              </div>

              <div class="btnVerify" (click)='checkResult("light")'>
                <ion-button color='dark'>Light Verification</ion-button>
              </div>

          </div>
        </div>


      </div>

      <div class="form" *ngIf="step0"> 
        <div class="enterText">
          <h3>Welcome to your professional community</h3>
        </div>
        <div class="credentialsList">
          <p class="required">We will ask you to share</p>
          <div class="credential">
            <img src="assets/national.svg" alt="">
            <div class="credentialContent">
              <h3>ProximaXCity ID</h3>
              <p>ProximaXCity ID Department</p>
            </div>
          </div>
          <div class="credential">
            <img src="assets/bank.svg" alt="">
            <div class="credentialContent">
              <h3>Bank ID</h3>
              <p>Banking IDentification</p>
            </div>
          </div>
        </div>
        <div class="btnStart" (click)="start()">
          <ion-button>CONTINUE</ion-button>
        </div>
      </div>

      <div class="form1" *ngIf="step1">
        <div class="enterText">
          <h3>Welcome to your professional community</h3>
        </div>
        <p class="deeplink">Click on QR code to start</p>
        <p class="scanStart">Scan to start</p>
        <div class="qrCode" *ngIf="showImg" (click) = "deeplink('login')">
          <img [src]="qrImg">
        </div>
        <div *ngIf="warning2" style="color: red">
          <p>*Network is not stable!</p>
        </div>

        <div class="reload" (click)="refresh()">
          Refresh
        </div>

      </div>

      <div class="form" *ngIf="step2">
        <div class="enterText">
          <h3>Welcome to your professional community</h3>
        </div>
        <div class="formContent">
          <fieldset>
            <legend> Employment type </legend>
            <ion-select interface="popover" [(ngModel)]="workTime">
              <ion-select-option value="Full time">Full time</ion-select-option>
              <ion-select-option value="Part time">Part time</ion-select-option>
            </ion-select>
          </fieldset>
    
          <fieldset>
            <legend> Available time to work </legend>
            <input [(ngModel)]="timeAvailable" type="date">
          </fieldset>
          
          <fieldset>
            <legend> High school </legend>
            <ion-input [(ngModel)]="highSchool" ></ion-input>
          </fieldset>
    
          <fieldset class="inlineField">
            <legend> Your Education </legend>
            <ion-select interface="popover" [(ngModel)]="education">
              <ion-select-option value="PhD">PhD</ion-select-option>
              <ion-select-option value="Master">Master</ion-select-option>
              <!-- <ion-select-option value="Diploma">Diploma</ion-select-option> -->
              <!-- <ion-select-option value="Certificate">Certificated</ion-select-option> -->
              <ion-select-option value="Graduated">Graduated</ion-select-option>
            </ion-select>
          </fieldset>
    
          <fieldset class="inlineField rightField">
            <legend> Graduated </legend>
            <ion-select interface="popover" [(ngModel)]="graduated">
              <ion-select-option value="Excellent">Excellent</ion-select-option>
              <ion-select-option value="Good">Good</ion-select-option>
              <ion-select-option value="Average">Average</ion-select-option>
              <ion-select-option value="Bad">Bad</ion-select-option>
            </ion-select>
          </fieldset>

          <fieldset>
            <legend> College - University </legend>
            <ion-input [(ngModel)]="university"></ion-input>
          </fieldset>

          <fieldset>
            <legend> Have you ever been convicted or a crime </legend>
            <ion-select interface="popover" [(ngModel)]="convicted">
              <ion-select-option value="Yes">Yes</ion-select-option>
              <ion-select-option value="No">No</ion-select-option>
            </ion-select>
          </fieldset>
          
          <div class="checkBox">
            <ion-checkbox class="checkbox-square" [(ngModel)]="aggree"></ion-checkbox>
            <p>I confirm that the above information is true and complete.</p>
          </div>

          <div *ngIf="warning" style="color: red">
            <p>*Fill out the form above to create an account</p>
          </div>
          <div class="btnContinue" (click)="continue()">
            <ion-button>CONTINUE</ion-button>
          </div>
        </div> 
      </div>

      <div class="form1" *ngIf="step3">
        <div class="enterText">
          <h3>Welcome to your professional community</h3>
        </div>
          <p class="deeplink">Click on QR code to get your credential</p>
          <p class="scanStart">Scan to get your credential</p>
          <div class="qrCode" *ngIf="qrCredential" (click) = "deeplink('credential')">
            <img [src]="qrCredential">
          </div>
          
          
          <p class="scanText">Scan the QR Code with SiriusID App</p>

          <div class="btnContinue" (click)="finish()">
            <ion-button>CONTINUE</ion-button>
          </div>
      </div>

      <div class="form" *ngIf="step4">
        <div class="enterText">
          <h3 >Welcome to your professional community</h3>
        </div>
        <h3 class='welComeHeader'>Your registration process is completed</h3>
        <div class="formContent">
          <div class="finishImg">
            <img src="assets/finish.svg">
          </div>
        
          <p class="scanText" style="margin-top: 30px;">View your result in SiriusID App and click <span (click)="checkResult('hard')">Hard Verification</span> or <span (click)="checkResult('light')">Light Verification</span> to verify your information.</p>
        </div>
      </div>

      <div class="exampleTag">
        <h3>SUGGESTED SEARCHES</h3>
        <div class="exampleContent">
          <div class="example">Sales</div>
          <div class="example">Engineering</div>
          <div class="example">Bussiness Development</div>
          <div class="example">Healthcare</div>
          <div class="example">Finance</div>
          <div class="example">Marking</div>
          <div class="example">HR</div>
          <div class="example">Administrative</div>
          <div class="example">Support</div>
          <div class="example">Operations</div>
          <div class="example">Legal</div>
        </div>
      </div>
    </div>
  </div>
  <div class="description">
    <div class="community">
      <div class="comLeft">
        <h3>Find your community</h3>
        <p>Find a job</p>
      </div>
      <div class="comRight">
        <p>No matter your profession, we’re in it together</p>
      </div>
    </div>
    <div class="note">
      <p calss="note-content"><b>Note:</b> This website is privately owned and used for testing purposes only. It is not affiliated with any government or entity mentioned herein.</p>
    </div>
  </div>
  <div class="bottomBar">
    <img src="assets/bottomBar.png">
  </div>
</ion-content>
